#### D.15.4.37 derivationSub

Procedure from library `difform.lib` (see difform_lib).

Usage:
  phi-psi; phi,psi derivation

Return:
  the difference of the given derivations

Remarks:
  The difference is computed componentwise - this works since the structure lists of derivations are sorted the same way.

Note:
  one can also subtract polynomials from derivations

Example:

    LIB "difform.lib";
    ring R = 0,(x,y),lp;
    diffAlgebra();
    ==> // The differential algebra Omega_R was constructed and the differential \
       forms dDx, dDy, dx, dy are available.
    list L_1; L_1[1] = list(dx,dy); L_1[2] = list(x+y,1);
    list L_2; L_2[1] = list(dy,dx); L_2[2] = list(x,y2);
    /////////////////
    // Derivations //
    /////////////////
    derivation phi_1 = L_1; phi_1;
    ==>  Omega_R^1 --> R
    ==>        dx |--> x+y
    ==>        dy |--> 1
    ==>
    ==>
    derivation phi_2 = L_2; phi_2;
    ==>  Omega_R^1 --> R
    ==>        dx |--> y2
    ==>        dy |--> x
    ==>
    ==>
    ///////////////////////////////
    // Difference of derivations //
    ///////////////////////////////
    phi_1-phi_2;
    ==>  Omega_R^1 --> R
    ==>        dx |--> x-y2+y
    ==>        dy |--> -x+1
    ==>
    ==>
    phi_1-phi_2-phi_1;
    ==>  Omega_R^1 --> R
    ==>        dx |--> -y2
    ==>        dy |--> -x
    ==>
    ==>
    phi_1 - (x+y);
    ==>  Omega_R^1 --> R
    ==>        dx |--> 0
    ==>        dy |--> -x-y+1
    ==>
    ==>
    kill Omega_R,dx,dy,L_1,L_2,phi_1,phi_2;

See also: derivationAdd; derivationNeg.

User manual for Singular version 4.4.1, 2025, generated by texi2html.